export interface PaletteFunc {
    switch(id?: string, colors?: string[]): any;
    type(): "ordinal" | "rainbow";
}
export interface OrdinalPaletteFunc extends PaletteFunc {
    (label: string): string;
}
export declare function fetchOrdinalItem(): string[];
export declare function fetchOrdinalItem(id: string, colors?: string[]): OrdinalPaletteFunc;
export interface RainbowPaletteFunc extends PaletteFunc {
    (value: number, domainLow: number, domainHigh: number): string;
}
export declare function fetchRainbowItem(): string[];
export declare function fetchRainbowItem(id: string): RainbowPaletteFunc;
export declare function fetchRainbowItem(id: string, colors: string[], steps?: number): RainbowPaletteFunc;
export declare function test(ordinalDivID: any, brewerDivID: any, customDivID: any, customArr: any, steps: any): void;
export declare const ordinal: typeof fetchOrdinalItem;
export declare const rainbow: typeof fetchRainbowItem;
export declare function textColor(backgroundColor: string): string;
